commit: 976696860684f2583e4c428bc7ec4b033176c984
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 29 06:24:24 2021 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 29 06:24:24 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97669686
dev-python/pytables: add 3.7.0
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/pytables/Manifest | 1 +
dev-python/pytables/pytables-3.7.0.ebuild | 83 +++++++++++++++++++++++++++++++
2 files changed, 84 insertions(+)
diff --git a/dev-python/pytables/Manifest b/dev-python/pytables/Manifest
index bb12893a62e8..0ef697796364 100644
--- a/dev-python/pytables/Manifest
+++ b/dev-python/pytables/Manifest
@@ -1 +1,2 @@
DIST tables-3.6.1.tar.gz 4641089 BLAKE2B
4ef44b1263f40babe6719bac911ab191e9cb0c58c377705b755fa83f1fba5af1d0fab10b0b45bd6af619a9dce4842a80afad8d8fbab64c3be4f35a1b3f117ee3
SHA512
7f018b70251095049bce9075be4e19f72efba9d39121a35c4521f634b1dd5b81ab6de47df3bb44ad6b8b2dbdbff4e6d0985ad1a7b2f13b44f920c0935e5830ff
+DIST tables-3.7.0.tar.gz 8227955 BLAKE2B
0d5b7b765375c4787f1210138e5fd02e3c0ce429ef209a3a8d4fd3bc094f68486ab6f4d0a960ce86efea6991ed691ef2a3e9e8f37a49fe91cb8d6372cadea80e
SHA512
eaa368d063b5fad87e6d0f9ab6f02da0b2a3542740a52fe8c2bb58e41121495d07b6d2710ad402a28891294aa61a11238c6a7e2cf2933a1bb11391b79cf4fd13
diff --git a/dev-python/pytables/pytables-3.7.0.ebuild
b/dev-python/pytables/pytables-3.7.0.ebuild
new file mode 100644
index 000000000000..48edb62f3560
--- /dev/null
+++ b/dev-python/pytables/pytables-3.7.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+MY_PN=tables
+MY_P=${MY_PN}-${PV}
+
+inherit distutils-r1
+
+DESCRIPTION="Hierarchical datasets for Python"
+HOMEPAGE="https://www.pytables.org/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86
~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+# See https://github.com/PyTables/PyTables/issues/912 for hdf5 upper bound
+DEPEND="
+ app-arch/bzip2:0=
+ app-arch/lz4:0=
+ >=app-arch/zstd-1.0.0:=
+ >=dev-libs/c-blosc-1.11.1:0=
+ dev-libs/lzo:2=
+ >=dev-python/numpy-1.8.1[${PYTHON_USEDEP}]
+ <sci-libs/hdf5-1.12:=
+"
+RDEPEND="${DEPEND}
+ >=dev-python/numexpr-2.5.2[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/cython-0.21[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )
+"
+
+DOCS=( RELEASE_NOTES.txt THANKS )
+
+python_prepare_all() {
+ export {BLOSC,BZIP2,LZO,HDF5}_DIR="${ESYSROOT}"/usr
+ export PYTABLES_NO_EMBEDDED_LIBS=1
+ export USE_PKGCONFIG=TRUE
+
+ rm tables/*.c || die
+ sed -e "s:/usr:${EPREFIX}/usr:g" \
+ -i setup.py || die
+ rm -r c-blosc/{blosc,internal-complibs} || die
+ sed -i -e '/_version/ s/\\s\*/\\s\+/' setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile -j1
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib* || die
+ "${EPYTHON}" tables/tests/test_all.py -v || die "Tests failed with
${EPYTHON}"
+}
+
+python_install_all() {
+ if use doc; then
+ DOCS+=( doc/scripts )
+ fi
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ dodoc -r contrib
+ docompress -x /usr/share/doc/${PF}/examples
+ docompress -x /usr/share/doc/${PF}/contrib
+ fi
+}